Name: kdemultimedia4
Summary: K Desktop Environment
Version: 4.8.4
Release: 1
Epoch: 3
Group: Graphical desktop/KDE
License: GPL
URL: http://multimedia.kde.org/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdemultimedia-%version.tar.xz
Source1000: %name.rpmlintrc
Patch: ../SOURCES/kdemultimedia-4.8.4-ffmpeg-0.11.patch
BuildRequires: kdelibs4-devel >= 2:4.4.3-7
BuildRequires: phonon-devel >= 2:4.3.50
BuildRequires: libmusicbrainz3-devel
BuildRequires: oggvorbis-devel
BuildRequires: ffmpeg-devel
BuildRequires: libflac-devel
BuildRequires: taglib-devel
BuildRequires: libtunepimp-devel 
BuildRequires: libtheora-devel
BuildRequires: libcdda-devel
BuildRequires: pkgconfig(alsa)
BuildRequires: ffmpeg-devel 
BuildRequires: pulseaudio-devel
BuildRequires:  automoc4
Requires:      juk = %epoch:%version
Requires:      kmix = %epoch:%version
Requires:      kscd = %epoch:%version
Obsoletes:     kde4-noatun <  3:3.94.0-0.726889.1
Obsoletes:     %{_lib}noatun5 < 3:3.94.0-0.726889.1
Obsoletes: kdemultimedia-common < 1:3.5.10-2
Obsoletes: %{_lib}kdemultimedia1-common < 1:3.5.10-2
Obsoletes: kdemultimedia-krec < 1:3.5.10-2
Obsoletes: kdemultimedia-kmid < 1:3.5.10-2

%description
%{name} metapackage.

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package -n juk
Summary:   A music player and manager for KDE
Group:     Graphical desktop/KDE
Conflicts: %name-core < 3:4.5.71
Obsoletes: %name-juk < 3:3.93.0-0.714637.1
Obsoletes: kde4-juk < 3:4.0.68
Provides: kde4-juk = %epoch:%version
Obsoletes: kdemultimedia-juk < 1:3.5.10-2
Obsoletes: kdemultimedia-kaboodle < 1:3.5.10-2
Obsoletes: kdemultimedia-arts < 1:3.5.10-2
Obsoletes: %{_lib}kdemultimedia1-arts < 1:3.5.10-2
Obsoletes: kdemultimedia-noatun < 1:3.5.10-2
Obsoletes: %{_lib}kdemultimedia1-noatun < 1:3.5.10-2

%description -n juk
JuK is a music player and manager for KDE.

%files -n juk
%defattr(-,root,root)
%_kde_appsdir/juk
%_kde_bindir/juk
%_kde_iconsdir/*/*/apps/juk.*
%_kde_datadir/applications/kde4/juk.desktop
%_kde_datadir/kde4/services/ServiceMenus/jukservicemenu.desktop
%_kde_docdir/HTML/*/juk

#----------------------------------------------------------------------

%package -n dragonplayer
Summary:   A simple video player for KDE 4
Group:     Graphical desktop/KDE
URL: http://www.dragonplayer.org/
Conflicts: %name-core < 3:4.5.71
Obsoletes: dragonplayer <= 2.0.1-1
Provides:  dragonplayer = %epoch:%version
Obsoletes: kde4-videoplayer <= 1.0.1-0.745290.4
Provides:  kde4-videoplayer 
Obsoletes: codeine < 1.0.1-3
Provides:  codeine = %epoch:%version-%release

%description -n dragonplayer
Dragon Player is a simple video player for KDE 4.

%files -n dragonplayer
%defattr(-,root,root)
%_kde_bindir/dragon
%dir %_kde_appsdir/dragonplayer
%_kde_appsdir/dragonplayer/*
%_kde_iconsdir/*/*/apps/dragonplayer.*
%_kde_libdir/kde4/dragonpart.so
%_kde_datadir/applications/kde4/dragonplayer.desktop
%_kde_datadir/kde4/services/ServiceMenus/dragonplayer_*
%_kde_datadir/kde4/services/dragonplayer_part.desktop
%_kde_appsdir/solid/actions/dragonplayer-opendvd.desktop
%_kde_configdir/dragonplayerrc
%doc %_kde_docdir/HTML/en/dragonplayer

#---------------------------------------------

%package -n kde4-audiocd
Summary: %{name} audiocd
Group: Graphical desktop/KDE
Obsoletes: %name-audiocd < 3:3.93.0-0.714637.1
Conflicts: %name-core < 3:4.5.71

%description -n kde4-audiocd
%{name} audiocd.

%files -n kde4-audiocd
%defattr(-,root,root)
%_kde_libdir/kde4/kcm_audiocd.so
%_kde_libdir/kde4/kio_audiocd.so
%_kde_libdir/kde4/libaudiocd_*
%_kde_datadir/config.kcfg/audiocd_*
%_kde_datadir/kde4/services/audiocd.desktop
%_kde_datadir/kde4/services/audiocd.protocol
%_kde_appsdir/kconf_update/audiocd.upd
%_kde_appsdir/kconf_update/kcmcddb-emailsettings.upd
%_kde_appsdir/kconf_update/upgrade-metadata.sh
%_kde_appsdir/konqsidebartng/virtual_folders/services/audiocd.desktop
%_kde_appsdir/solid/actions/solid_audiocd.desktop
%_kde_docdir/HTML/en/kioslave/audiocd
%_kde_docdir/HTML/en/kcontrol/cddbretrieval

#---------------------------------------------

%define libaudiocdplugins %mklibname audiocdplugins %audiocdplugins_major
%define  audiocdplugins_major 4

%package -n %libaudiocdplugins
Summary:    KDE 4 library
Group:      System/Libraries
Obsoletes:  %{_lib}audiocdplugins1 < 3:4.0.0-2
Obsoletes:  %{_lib}4 < 3:4.0.73-4

%description -n %libaudiocdplugins
KDE 4 library

%files -n %libaudiocdplugins
%defattr(-,root,root)
%_kde_libdir/libaudiocdplugins.so.*

#---------------------------------------------

%package -n kmix
Summary: %{name} Digital Mixer
Group: Graphical desktop/KDE
Conflicts: %name-core < 3:4.5.71

Obsoletes: %name-kmix < 3:3.93.0-0.714637.1
Obsoletes: kde4-kmix < 3:4.0.68
Obsoletes: kdemultimedia-kmix < 1:3.5.10-2
Obsoletes: %name-core < 3:4.5.71

Provides: kde4-kmix = %epoch:%version

%description -n kmix
%{name} Digital Mixer.

%files -n kmix
%defattr(-,root,root)
%_kde_appsdir/kmix
%_kde_bindir/kmix
%_kde_bindir/kmixctrl
%_kde_iconsdir/*/*/apps/kmix.*
%_kde_iconsdir/*/*/actions/player-volume-muted.*
%_kde_datadir/applications/kde4/kmix.desktop
%_kde_datadir/autostart/restore_kmix_volumes.desktop
%_kde_datadir/kde4/services/kmixctrl_restore.desktop
%_kde_libdir/libkdeinit4_kmix*
%_kde_libdir/kde4/kded_kmixd.so
%_kde_services/kded/kmixd.desktop
%_kde_autostart/kmix_autostart.desktop
%_kde_docdir/HTML/*/kmix
%_kde_libdir/kde4/plasma_engine_mixer.so
%_kde_appsdir/plasma/services/mixer.operations
%_kde_datadir/kde4/services/plasma-engine-mixer.desktop

#---------------------------------------------

%package -n kscd
Summary: %{name} Audio CD Player
Group: Graphical desktop/KDE
Conflicts: %name-core < 3:4.5.71

Obsoletes: %name-kscd < 3:3.93.0-0.714637.1
Obsoletes: kde4-kscd < 3:4.0.68
Obsoletes: kdemultimedia-kscd < 1:3.5.10-2

Provides: kde4-kscd = %epoch:%version
Suggests: gstreamer0.10-cdparanoia 

%description -n kscd
%{name} audio CD Player.

%files -n kscd
%defattr(-,root,root)
%_kde_bindir/kscd
%_kde_datadir/applications/kde4/kscd.desktop
%_kde_datadir/config.kcfg/kscd.kcfg
%_kde_appsdir/kscd
%_kde_iconsdir/*/*/apps/kscd.*
%_kde_iconsdir/*/*/*/kscd-dock.*
%_kde_appsdir/solid/actions/kscd-play-audiocd.desktop

#---------------------------------------------

%package -n mplayerthumbs
Summary: %{name} Video thumbnail generator for KDE4 file managers
Group: Graphical desktop/KDE

# We do not requires mplayer as by default we now use the phonon engine
# Requires:      mplayer

%description -n mplayerthumbs
MPlayerThumbs is a video thumbnail generator for KDE file managers
(Konqueror, Dolphin, ...) , now available also for KDE 4.
It needs mplayer (of course) to generate thumbnails, and it contains
no linking to any library, so in a x86_64 system you can freely use the
32bit mplayer binary with win32codecs by configuring the application launching
the mplayerthumbsconfig helper application.
It catches a random frame from 15% to 70%, checking also how contrasted is the
image, and dropping bad frames.

%files -n mplayerthumbs
%defattr(-,root,root)
%{_kde_bindir}/mplayerthumbsconfig
%{_kde_libdir}/kde4/videopreview.so
%{_kde_appsdir}/videothumbnail
%{_kde_datadir}/config.kcfg/mplayerthumbs.kcfg
%{_kde_datadir}/kde4/services/videopreview.desktop

#---------------------------------------------

%package -n ffmpegthumbs
Summary: %{name} Video thumbnail generator for KDE4 file managers
Group: Graphical desktop/KDE

Requires:      ffmpeg

%description -n ffmpegthumbs
FFmpegThumbs is a video thumbnails implementation for KDE4 based on
FFmpegThumbnailer. 
This thumbnailer uses FFmpeg to decode frames from the video files, 
so supported video formats depend on the configuration flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as possible.

%files -n ffmpegthumbs
%defattr(-,root,root)
%{_kde_libdir}/kde4/ffmpegthumbs.so
%{_kde_datadir}/kde4/services/ffmpegthumbs.desktop

#---------------------------------------------

%define libkcddb %mklibname kcddb %kcddb_major
%define  kcddb_major 4

%package -n %libkcddb
Summary: KDE 4 library
Group: System/Libraries
Obsoletes: kdemultimedia-kscd < 1:3.5.10-4

%description -n %libkcddb
KDE 4 library

%files -n %libkcddb
%defattr(-,root,root)
%_kde_libdir/libkcddb.so.%{kcddb_major}*
%_kde_libdir/kde4/kcm_cddb.so
%_kde_datadir/config.kcfg/libkcddb.kcfg
%_kde_datadir/kde4/services/libkcddb.desktop

#---------------------------------------------

%define libkcompactdisc %mklibname kcompactdisc %kcompactdisc_major
%define kcompactdisc_major 4

%package -n %libkcompactdisc
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkcompactdisc
KDE 4 library

%files -n %libkcompactdisc
%defattr(-,root,root)
%_kde_libdir/libkcompactdisc.so.%{kcompactdisc_major}*

#---------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Obsoletes: %{_lib}kdemultimedia1-common-devel < 1:3.5.10-2
Obsoletes: %{_lib}kdemultimedia1-arts-devel < 1:3.5.10-2
Obsoletes: %{_lib}kdemultimedia1-noatun-devel < 1:3.5.10-2
Requires: kdelibs4-devel >= 2:4.2.98
Requires: %libaudiocdplugins = %epoch:%version
Requires: %libkcddb = %epoch:%version
Requires: %libkcompactdisc = %epoch:%version

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%defattr(-,root,root)
%_kde_libdir/libaudiocdplugins.so
%_kde_libdir/libkcddb.so
%_kde_libdir/libkcompactdisc.so
%_kde_includedir/*
%_kde_datadir/dbus-1/interfaces/*

#----------------------------------------------------------------------

%prep
%setup -q -n kdemultimedia-%version
%patch -p1 -b .ffmpeg11~

%build
export CFLAGS="${CFLAGS} -DOCAMLIB=%_libdir/ocaml"
export CPPFLAGS="${CPPFLAGS} -DOCAMLIB=%_libdir/ocaml"
%cmake_kde4 -DENABLE_PHONON_SUPPORT=ON

%make

%install
%makeinstall_std -C build



%changelog
* Fri Jun 08 2012 Bernhard Rosenkraenzer <bero@bero.eu> 3:4.8.4-1
+ Revision: 803492
- Port to ffmpeg 0.11.x
- Update to 4.8.4

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 3:4.8.3-1
+ Revision: 796046
- New release

* Wed Apr 18 2012 Crispin Boylan <crisb@mandriva.org> 3:4.8.2-1
+ Revision: 791799
- New release

* Sun Mar 18 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.8.1-1
+ Revision: 785476
- New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.8.0-1
+ Revision: 762516
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.7.97-1
+ Revision: 758101
- New upstream tarball

* Sun Jan 01 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.7.95-1
+ Revision: 748557
- New version

* Fri Dec 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.7.90-1
+ Revision: 739371
- New upstream tarball

* Sat Nov 19 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.7.80-1
+ Revision: 731825
- New upstream tarball 4.7.80

* Mon Aug 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.7.41-1
+ Revision: 696140
- New version 4.7.41

* Thu Jul 28 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.7.40-1
+ Revision: 692047
- Fix file list
- New version 4.>.40

* Mon Jun 13 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.6.4-2
+ Revision: 684407
- New version 4.6.4

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 3:4.6.3-2
+ Revision: 676979
- rebuild for updated mime handler

* Fri May 13 2011 Funda Wang <fwang@mandriva.org> 3:4.6.3-1
+ Revision: 674033
- new version 4.6.3

* Tue Apr 05 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.6.2-1
+ Revision: 650775
- Remove mkrel
- New version 4.6.2

* Mon Feb 28 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.6.1-1
+ Revision: 640729
- New version 4.6.1

* Wed Jan 26 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.6.0-1
+ Revision: 632967
- New version KDE 4.6 Final

* Thu Jan 06 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.5.95-1mdv2011.0
+ Revision: 629123
- New version KDE 4.6 RC2

* Thu Dec 23 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.5.90-1mdv2011.0
+ Revision: 624066
- New upstream tarball

* Wed Dec 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.5.85-1mdv2011.0
+ Revision: 616346
- New upstream tarball

* Fri Nov 26 2010 Funda Wang <fwang@mandriva.org> 3:4.5.80-1mdv2011.0
+ Revision: 601450
- new version 4.5.80 (aka 4.6 beta1)

* Sat Nov 20 2010 Funda Wang <fwang@mandriva.org> 3:4.5.77-0.svn1198704.1mdv2011.0
+ Revision: 599143
- new snapshot 4.5.77

* Thu Oct 28 2010 Funda Wang <fwang@mandriva.org> 3:4.5.74-0.svn1190490.1mdv2011.0
+ Revision: 589811
- new snapshot 4.5.74
- obsoletes

  + Anssi Hannula <anssi@mandriva.org>
    - put obsoletes on the old -core subpackage to kmix instead of the main
      metapackage to avoid installation of the main metapackage on systems
      where it was previously not installed

* Sun Oct 17 2010 Funda Wang <fwang@mandriva.org> 3:4.5.71-0.svn1186163.1mdv2011.0
+ Revision: 586322
- new snapshot
- split core into sub packages

* Thu Sep 16 2010 Funda Wang <fwang@mandriva.org> 3:4.5.68-1mdv2011.0
+ Revision: 578802
- new snapshot 4.5.68

* Tue Sep 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.5.67-1mdv2011.0
+ Revision: 576445
- New version 4.5.67

* Wed Sep 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.5.65-1mdv2011.0
+ Revision: 575086
- Fix buildrequire
- Fix BuildRequires
- New version 4.5.65

* Fri Aug 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.5.0-1mdv2011.0
+ Revision: 566571
- New upstream tarball
- Update to version 4.5.0

* Wed Jul 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.4.95-1mdv2011.0
+ Revision: 562674
- KDE 4.5 RC3

* Mon Jun 14 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.4.3-7mdv2010.1
+ Revision: 548038
- Fix UTF8 encoding issue with kmix/PulseAudio

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.4.3-6mdv2010.1
+ Revision: 546141
- Rebuild in release mode

* Fri May 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.4.3-5mdv2010.1
+ Revision: 544741
- Fix ffmpegthumbs in accentuaded folder

* Thu May 13 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.4.3-4mdv2010.1
+ Revision: 544668
- Fix ffmpegthumbs description ( from Ahmad )

* Wed May 12 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.4.3-3mdv2010.1
+ Revision: 544597
- Fix file list
- Fix ffmpegthumbs description
- Fix buildrequire versionnate
- Add ffmpegthumbs subpackage ( replacement for mplayerthumb

* Mon May 10 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.4.3-2mdv2010.1
+ Revision: 544304
- Fix double display of sliders with PulseAudio.
  CCBUG: 59152

* Tue May 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.4.3-1mdv2010.1
+ Revision: 542135
- Update to version 4.4.3

* Sat Apr 03 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.4.2-2mdv2010.1
+ Revision: 530869
- Update PulseAudio patch to connect without a QEventLoop which can cause some strange issues

* Wed Mar 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.4.2-1mdv2010.1
+ Revision: 530102
- Fix file list
- Update to version 4.4.2

* Mon Mar 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.4.1-1mdv2010.1
+ Revision: 515730
- Fix release
- Update to version 4.4.1

* Wed Feb 10 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.4.0-5mdv2010.1
+ Revision: 503487
- Update PA integration in kmix

* Tue Feb 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.4.0-4mdv2010.1
+ Revision: 502613
- Update to version 4.4.0

* Fri Feb 05 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.98-4mdv2010.1
+ Revision: 501027
- Allow PA streams to be set to Automatic device selection (i.e. Phonon preferences)

* Wed Feb 03 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.98-3mdv2010.1
+ Revision: 500476
- Fix a PA problem when dealing with volume changes for non-default masters

* Mon Feb 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.98-2mdv2010.1
+ Revision: 498945
- Update to version 4.3.98 aka "kde 4.4 RC3"
- Update to version 4.3.98 aka "kde 4.4 RC3"

* Fri Jan 29 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.95-2mdv2010.1
+ Revision: 497861
- Update kmix pulseaudio support to allow reconnection in event of PA server disappearing

* Mon Jan 25 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.95-1mdv2010.1
+ Revision: 496465
- Fix version
- Update to version 4.3.95 aka "kde 4.4 RC2"

* Sun Jan 17 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.90-5mdv2010.1
+ Revision: 492812
- Substantial update to PA support including profile fixes and stream moving

* Sat Jan 16 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.90-4mdv2010.1
+ Revision: 492480
- More PulseAudio integrations fixes (profiles, icons and setting savings)

* Sat Jan 16 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.90-3mdv2010.1
+ Revision: 492315
- More fixes to PA support in kmix

* Sun Jan 10 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.90-2mdv2010.1
+ Revision: 488880
- Hopefully fix mdv#56893 (double kmix window at login)

* Sun Jan 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.90-1mdv2010.1
+ Revision: 488233
- Update to kde 4.4 rc1

* Fri Jan 08 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.85-5mdv2010.1
+ Revision: 487526
- Do not save/restore volumes in kmix when PulseAudio is used.

* Thu Jan 07 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.85-4mdv2010.1
+ Revision: 487236
- Add support for PulseAudio supplied icons in the kmix GUI

* Thu Jan 07 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.85-3mdv2010.1
+ Revision: 487011
- Fix kmix+PA mute

* Wed Jan 06 2010 Colin Guthrie <cguthrie@mandriva.org> 3:4.3.85-2mdv2010.1
+ Revision: 486516
- Add proper support for PulseAudio to kmix

* Mon Dec 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.85-1mdv2010.1
+ Revision: 480741
- Add missing source
- Update release because new bs failure

* Fri Dec 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.80-1mdv2010.1
+ Revision: 473344
- Remove merged patch
- Update to KDE 4.4 Beta1
- Update to KDE 4.4 Beta1

* Sat Nov 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.77-1mdv2010.1
+ Revision: 470793
- Update to kde 4.3.77

* Tue Nov 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.75-2mdv2010.1
+ Revision: 469715
- Add testing patch to fix systemtray and close-at-crash bugs

* Mon Nov 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.75-1mdv2010.1
+ Revision: 466655
- Update to KDE 4.3.75

* Wed Nov 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.73-2mdv2010.1
+ Revision: 464597
- Rebuild against new qt

* Sun Nov 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.73-1mdv2010.1
+ Revision: 462755
- Update to kde 4.3.3
  Remove merged patches
  Fix file list

* Thu Oct 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.2-2mdv2010.0
+ Revision: 459990
- [Branch]Fix juk crash

* Tue Oct 06 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.3.2-1mdv2010.0
+ Revision: 454429
- New upstream release 4.3.2.

* Thu Sep 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.1-4mdv2010.0
+ Revision: 448158
- Add a patch from lmenut to handle more  than one cd driver on KScd

* Mon Sep 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.1-3mdv2010.0
+ Revision: 440838
- Remove debug subrel
- Enable mplayerthumb phonon support
  Remove mplayer requires on mplayerthumb

  + Helio Chissini de Castro <helio@mandriva.com>
    - Invalidate linking against libxine. Dragon part have direct link to library, which is not desired for now. Any audio support should go through phonon

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.3.1-1mdv2010.0
+ Revision: 423207
- New upstream release 4.3.1.

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.3.0-1mdv2010.0
+ Revision: 409406
- New upstream release 4.3.0.

* Thu Jul 23 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.98-1mdv2010.0
+ Revision: 398742
- Update to KDE 4.3 RC3

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Obsoletes old codeine package

* Sat Jul 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.96-1mdv2010.0
+ Revision: 394780
- Update to Rc2

* Thu Jun 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.95-1mdv2010.0
+ Revision: 389168
- Update to kde 4.3Rc1

* Fri Jun 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.90-1mdv2010.0
+ Revision: 382945
- Update to beta2

* Fri May 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.88-1mdv2010.0
+ Revision: 380859
- Update to kde 4.2.88

* Fri May 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.87-1mdv2010.0
+ Revision: 378845
- Update to kde   4.2.87

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.85-1mdv2010.0
+ Revision: 373660
- Update to kde 4.2.85
- Remove own made patch, i will try a better one to submit upstream
- Update to kde 4.2.85

* Sun May 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.71-0.svn961800.1mdv2010.0
+ Revision: 371259
- Update to kde 4.2.71

* Sat May 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.70-0.svn954171.1mdv2010.0
+ Revision: 370798
- Update to kde 4.2.70

* Thu Apr 23 2009 Anne Nicolas <ennael@mandriva.org> 3:4.2.2-6mdv2009.1
+ Revision: 368905
- add gstreamer0.10-cdparanoia as a suggest for kscd

* Sun Mar 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.2-5mdv2009.1
+ Revision: 362125
- Fix file list
- Use upstream solid action

* Sun Mar 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.2-4mdv2009.1
+ Revision: 362075
- Fix File list
  Fix obsoletes
  Remove old macros
- Fix previous patch
- Make Kscd to work with Solid
- Allow to disable kmix at kde start

* Fri Mar 27 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.2-1mdv2009.1
+ Revision: 361728
- Update with 4.2.2 try#1 packages

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.1-1mdv2009.1
+ Revision: 346139
- KDE 4.2.1 try#1 upstream release

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.0-2mdv2009.1
+ Revision: 340884
- Rebuild against qt4.5

* Tue Jan 27 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.0-1mdv2009.1
+ Revision: 334524
- Update with official 4.2.0 upstream tarball

* Wed Jan 07 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.96-1mdv2009.1
+ Revision: 326826
- Update with Release Candidate 1 - 4.1.96

* Sun Dec 14 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.85-1mdv2009.1
+ Revision: 314021
- New version KDE 4.2 Beta2

* Thu Dec 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.82-1mdv2009.1
+ Revision: 313396
- Update to kde 4.1.82

* Mon Dec 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.81-1mdv2009.1
+ Revision: 308666
- Update to kde 4.1.81

* Wed Nov 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.80-2mdv2009.1
+ Revision: 306866
- Obsoletes old kde3 kdemumtimedia

* Thu Nov 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.80-1mdv2009.1
+ Revision: 304865
- Fix file list

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Beta 1 - 4.1.80

* Sat Nov 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.73-1mdv2009.1
+ Revision: 303392
- Update to kde 4.1.73
- Clean "remove" comment as this is definitly fixed

* Wed Oct 29 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.71-3mdv2009.1
+ Revision: 298151
- Fix build with enhanced patch
  Remove the removing of the file ( seems to not exist anymore on oxygen-theme package )
- Use enhanced patch now

* Sat Oct 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.71-1mdv2009.1
+ Revision: 297031
- New version 4.1.71

* Mon Oct 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.70-2mdv2009.1
+ Revision: 295863
- kmix_keyboard_shortcuts.patch ( not enhanced one for the moment)

* Mon Oct 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.70-1mdv2009.1
+ Revision: 295784
- Update to KDE 4.1.70
- improuve kmix patch ( thanks to kdeutils-devel ML )
- Add patch to handle volume keys

* Fri Sep 26 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.2-1mdv2009.0
+ Revision: 288359
- KDE 4.1.2 arriving.

* Tue Sep 02 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.1-1mdv2009.0
+ Revision: 279307
- Fix kscd patch against trunk
- Backport kscd from trunk ( which use phonon now )

  + Helio Chissini de Castro <helio@mandriva.com>
    - Upgrade to forthcoming 4.1.1 packages

  + Funda Wang <fwang@mandriva.org>
    - update url and description

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.0-1mdv2009.0
+ Revision: 247589
- Update with Release Candidate 1 - 4.1.0

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.98-1mdv2009.0
+ Revision: 233191
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.85-1mdv2009.0
+ Revision: 232464
- New version kde 4.0.85

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.84-1mdv2009.0
+ Revision: 229404
- Update with new snapshot tarballs 4.0.84

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.83-1mdv2009.0
+ Revision: 226124
- Update with new snapshot tarballs 4.0.83

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.82-1mdv2009.0
+ Revision: 218300
- Update with new snapshot tarballs 4.0.82

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 3:4.0.81-1mdv2009.0
+ Revision: 217205
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with new snapshot tarballs 4.0.81

* Sat May 24 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.80-1mdv2009.0
+ Revision: 210785
- New upstream kde4 4.1 beta1

* Fri May 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.74-2mdv2009.0
+ Revision: 210693
- Fix Requires

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 3:4.0.74-1mdv2009.0
+ Revision: 208039
- New version 4.0.74

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-6mdv2009.0
+ Revision: 206996
- add another old kde3 conflict

* Tue May 13 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-5mdv2009.0
+ Revision: 206690
- fix versioned obsolete on lib4

* Tue May 13 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-4mdv2009.0
+ Revision: 206689
- rename lib4 to libaudiocdplugins4 and add obsoletes to handle it
- fix versioned obsoletes on libaudiocdplugins1

* Tue May 13 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-3mdv2009.0
+ Revision: 206658
- add Conflicts for old KDE3 packages for smooth upgrade

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Requires

* Thu May 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.73-1mdv2009.0
+ Revision: 204746
- Update to kde 4.0.73

* Fri May 02 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.72-1mdv2009.0
+ Revision: 199937
- Update to kde 4.0.72
- Add BuildRequire
- New snapshot 4.0.70
- New snapshot 4.0.69
- Obsoletes kde4-videoplayer

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - Starting to push new infrastructure for devel KDE 4.1. KDE 4 will be on / now. KDE is dead. Long live KDE.

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.3-1mdv2008.1
+ Revision: 191004
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.2-2mdv2008.1
+ Revision: 182256
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.2-1mdv2008.1
+ Revision: 177440
- New upstream bugfix release 4.0.2
- Update to 4.0.1

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long

* Sat Jan 12 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.0-4mdv2008.1
+ Revision: 150221
- Fix File list
- ensure major correctness
  Obsolete old libaudiocdplugins

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update for final stable 4.0.0

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.97.1-0.752124.1mdv2008.1
+ Revision: 137401
- New snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.97.1-0.747536.3mdv2008.1
+ Revision: 119191
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.742562.3mdv2008.1
+ Revision: 114128
- New snapshot

* Sun Nov 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.738567.3mdv2008.1
+ Revision: 111932
- Obsoletes noatun

* Fri Nov 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.738567.2mdv2008.1
+ Revision: 111681
- Fix File list ( only list devel files on devel package )

* Fri Nov 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.738567.1mdv2008.1
+ Revision: 111531
- New snapshot

* Sat Nov 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.0-0.736535.1mdv2008.1
+ Revision: 109647
- KDE4 RC1

* Mon Nov 12 2007 Funda Wang <fwang@mandriva.org> 3:3.95.2-0.734645.2mdv2008.1
+ Revision: 108273
- fix conflicts with oxygen-icon-theme (kde bug#151419)

* Sun Nov 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.95.2-0.734645.1mdv2008.1
+ Revision: 107528
- New snapshot

* Fri Nov 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.95.1-0.731768.1mdv2008.1
+ Revision: 104991
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.1-0.730673.2mdv2008.1
+ Revision: 103696
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.1-0.728842.2mdv2008.1
+ Revision: 102139
- Add conflict to ease upgrade

* Thu Oct 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.1-0.728842.1mdv2008.1
+ Revision: 102070
- New snapshot

* Sat Oct 20 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.0-0.726889.1mdv2008.1
+ Revision: 100527
- Kde 4 Beta 3
  Noatun does not exist anymore

* Mon Sep 24 2007 Tiago Salem <salem@mandriva.com.br> 3:3.93.0-0.714637.2mdv2008.0
+ Revision: 92574
- Changing libnoatun mklibname to 5

* Fri Sep 21 2007 Tiago Salem <salem@mandriva.com.br> 3:3.93.0-0.714637.1mdv2008.0
+ Revision: 92033
- Fixing BuildRequires
- Changing Obsoletes tags and updating tarball to a newer revision.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with revision 711009

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.93.0-1mdv2008.0
+ Revision: 79334
- Update with revision 708071
- Update with revision 706280

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.706280.1mdv2008.0
+ Revision: 75112
- Update with revision 706280

* Wed Aug 29 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.705729.1mdv2008.0
+ Revision: 73310
- Update with revision 705729

* Tue Aug 28 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.705308.1mdv2008.0
+ Revision: 72369
- Update with revision 705308

* Sat Aug 25 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.703342.1mdv2008.0
+ Revision: 71091
- Update with revision 703342
- Update with revision 703342

* Wed Aug 08 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.697095.1mdv2008.0
+ Revision: 60471
- Update for revision 697095
- Fix build requires
- Update to revision 697095
- Finished first kdemultimedia4 package with revision 693475

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - 3.91
      Change spec to follow our KDE layout

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.2mdv2008.0
+ Revision: 21481
- increase version
- new snapshot
- Fix buildrequires
- new snapshot


* Wed Feb 28 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070228.1mdv2007.1
+ Revision: 127140
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot
- new snapshot
- update

* Fri Jan 12 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107807
- Fix buildrequires
- Import kdemultimedia4

* Mon Jan 08 2007 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-5mdv2007.0
- kde 3.0

